Subject: Re: bug#16526: 24.3.50; scroll-conservatively & c-mode regression

From: Stefan Monnier <[email-masked]>
Date: Sun, 06 Jul 2014 21:52:39 -0400

> How about going back to Martin's suggestion, and letting the user decide
> on the variable's setting?

That's exactly why I'm bringing this up: what was wrong with setting it
buffer-locally in the major-mode function?

> problems of its own.  How, in general, can we cleanly give a user option
> a mode specific default?

As above.  If the user doesn't like this mode-provided setting, she could
easily override it with

   (add-hook 'c-mode-hook
             (lambda ()
               (setq-local open-paren-in-column-0-is-defun-start t)))

-- Stefan